View Issue Details

IDProjectCategoryView StatusLast Update
0031226LazarusLCLpublic2017-08-15 11:23
ReporterJanusz TomczakAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0031226: [TCustomGrid] OnHeaderSized event does not always fire
DescriptionOnHeaderSized event of TCustomGrid does not fire when double click on header.

Double clicking column's borders (on headers) resize column, but not generate OnHeaderSized event (when option goDblClickAutoSize is True).

I created a small patch.
TagsNo tags attached.
Fixed in Revision53998
LazTarget1.8
Widgetset
Attached Files
  • grids.pas.patch (504 bytes)
    Index: lcl/grids.pas
    ===================================================================
    --- lcl/grids.pas	(revision 53940)
    +++ lcl/grids.pas	(working copy)
    @@ -6521,7 +6521,7 @@
           OldWidth := ColWidths[FSizing.Index];
           AutoAdjustColumn( FSizing.Index );
           if OldWidth<>ColWidths[FSizing.Index] then
    -        ChangeCursor;
    +        begin ChangeCursor; HeaderSized(True, FSizing.Index); end;
         end {else
           DebugLn('Got Doubleclick on Col Resizing: AutoAdjust?');}
       end else
    
    grids.pas.patch (504 bytes)

Activities

Janusz Tomczak

2017-01-13 23:13

reporter  

grids.pas.patch (504 bytes)
Index: lcl/grids.pas
===================================================================
--- lcl/grids.pas	(revision 53940)
+++ lcl/grids.pas	(working copy)
@@ -6521,7 +6521,7 @@
       OldWidth := ColWidths[FSizing.Index];
       AutoAdjustColumn( FSizing.Index );
       if OldWidth<>ColWidths[FSizing.Index] then
-        ChangeCursor;
+        begin ChangeCursor; HeaderSized(True, FSizing.Index); end;
     end {else
       DebugLn('Got Doubleclick on Col Resizing: AutoAdjust?');}
   end else
grids.pas.patch (504 bytes)

Jesus Reyes

2017-01-24 22:54

developer   ~0097678

Last edited: 2017-01-24 22:55

View 2 revisions

Thanks, Applied with changes (formatting) :)

Issue History

Date Modified Username Field Change
2017-01-13 23:13 Janusz Tomczak New Issue
2017-01-13 23:13 Janusz Tomczak File Added: grids.pas.patch
2017-01-24 19:44 Jesus Reyes Assigned To => Jesus Reyes
2017-01-24 19:44 Jesus Reyes Status new => assigned
2017-01-24 22:54 Jesus Reyes Fixed in Revision => 53998
2017-01-24 22:54 Jesus Reyes LazTarget => 1.8
2017-01-24 22:54 Jesus Reyes Note Added: 0097678
2017-01-24 22:54 Jesus Reyes Status assigned => resolved
2017-01-24 22:54 Jesus Reyes Fixed in Version => 1.7 (SVN)
2017-01-24 22:54 Jesus Reyes Resolution open => fixed
2017-01-24 22:54 Jesus Reyes Target Version => 1.8
2017-01-24 22:55 Jesus Reyes Note Edited: 0097678 View Revisions
2017-08-15 11:23 Janusz Tomczak Status resolved => closed